//-----------------------------------------------------------------------------
//
// G_GAME.H - Header file for Risen3D [R3D] v220
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
// NOTE: Risen3D varies substantially from any ports on which it may
//       be based [see the c file(s) to which this applies] and any
//       same named header files are not commutable.
//
//-----------------------------------------------------------------------------

#ifndef __G_GAME__
#define __G_GAME__

#include "dd_input.h"

//
// GAME
//
void	G_InitNew (int skill, int episode, int map);
void	G_DeferedInitNew (int skill, int episode, int map);
void	G_DoLoadGame (void);

// Called by M_Responder.
void	G_SaveGame (int slot, char* description);

void	G_DoReborn (int playernum);
void	G_ExitLevel (void);
void	G_SecretExitLevel (void);

void	G_WorldDone (void);

void	G_Ticker (void);
RDBOOL	G_Responder (event_t* ev);

void	G_ScreenShot (void);

void	G_PrepareWIData(void);

#endif
//-----------------------------------------------------------------------------
//
// $Log:$
//
//-----------------------------------------------------------------------------
