//-----------------------------------------------------------------------------
//
// M_CHEAT.H - Header file for Risen3D [R3D] v220
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
// NOTE: Risen3D varies substantially from any ports on which it may
//       be based [see the c file(s) to which this applies] and any
//       same named header files are not commutable.
//
//-----------------------------------------------------------------------------

#ifndef __M_CHEAT__
#define __M_CHEAT__

//#include "doomstat.h"

//
// CHEAT SEQUENCE PACKAGE
//

typedef struct
{
    unsigned char*	sequence;
    unsigned char*	p;
    
} cheatseq_t;

int cht_CheckCheat(cheatseq_t* cht, byte key);

void cht_GetParam(cheatseq_t* cht, char* buffer);

void	cht_GodFunc(mbf_player_t *plyr);
void	cht_MusicFunc(mbf_player_t *plyr, char *buf);
void	cht_NoClipFunc(mbf_player_t *plyr);
void	cht_PowerUpFunc(mbf_player_t *plyr, int i, char *msg);
void	cht_ChoppersFunc(mbf_player_t *plyr);
void	cht_PosFunc(mbf_player_t *plyr);
RDBOOL	cht_GiveFunc(mbf_player_t *plyr, RDBOOL weapons, RDBOOL ammo,
				  RDBOOL armor, RDBOOL cards);
RDBOOL	cht_WarpFunc(mbf_player_t *plyr, char *buf);

#endif
//-----------------------------------------------------------------------------
//
// $Log:$
//
//-----------------------------------------------------------------------------
