//-----------------------------------------------------------------------------
//
// R3D_ITEMS.H - Header file for Risen3D [R3D] v220
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//
// Revision 2.1.1 build 0 07/Dec/2006 gmj (b211-0)
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//-----------------------------------------------------------------------------

#ifndef __R3D_ITEMS_H__
#define __R3D_ITEMS_H__


// development  aid

// must match th_name entries
#define	TH_SUBSEC			 0
#define	TH_SUBSECBYPASSED	 1
#define	TH_PTARCL			 2
#define	TH_MODEL			 3
#define	TH_LOD				 4
#define	TH_AMODEL			 5
#define	TH_SPRITE			 6
#define	TH_WALLTEX			 7
#define	TH_WALLMASKED		 8
#define	TH_FLOORTEX			 9
#define	TH_SHOOTABLE		10
#define	TH_AMMO				11
#define	TH_BON				12
#define	TH_DEAD				13
#define	TH_DECORATIONS		14
#define	TH_EQUIPMENT		15
#define	TH_GORE				16
#define	TH_KEYS				17
#define	TH_PACKS			18
#define	TH_PICKUPS			19
#define	TH_SPHERES			20
#define	TH_TORCHES			21
#define	TH_TREES			22
#define	TH_WEAPONS			23
#define	TH_NUMTYPES			24

extern int th_items[TH_NUMTYPES];
extern int rendStartList;

#endif
