//-----------------------------------------------------------------------------
//
// R3D_MODELBOX.H - Header file for Risen3D [R3D] v220
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//-----------------------------------------------------------------------------

#ifndef __R3D_MODELBOX_H__
#define __R3D_MODELBOX_H__

fixed_t	*MB_GetBox(int num, int *changed);
line_t	*MB_GetLine(int num, int lptr, int *box);
RDBOOL	MB_TestDoor(int num);
void	MB_Remove(mobj_t *thing);
void	MB_Update(mobj_t *thing);
void 	MB_RunModelBoxThinkers(void);
void 	MB_Init(RDBOOL load);
mobj_t *MB_GetMBmo(int num);

#endif

