//-----------------------------------------------------------------------------
//
// R3D_MUS2MID.H - Header file for Risen3D [R3D] v220
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//-----------------------------------------------------------------------------

#ifndef __R3D_MUS2MID_H__
#define __R3D_MUS2MID_H__

#define MIDI_MAXNUMCHANS	16
#define MUS_HDR_ID			0x4D55531A // ASCII "MUS"CTRL-Z (hex 4d 55 53 1a)

#define	M2M_UNKNOWN	0
#define	M2M_MUS		1
#define	M2M_MIDI	2
#define	M2M_RMI		3
#define	M2M_BADLUMP	4	// v220-33

int Mus_IsMUSorMIDILump(int lump);
int	ConvertMusToMidi(int lump, char *midiFilename);

#endif 