//-----------------------------------------------------------------------------
//
// R3D_SL3D.H - Header file for Risen3D [R3D] v220
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//-----------------------------------------------------------------------------

#ifndef __R3D_SL3D_H__
#define __R3D_SL3D_H__

void	LS_Init_Neg_3D_tags(void);
int		LS_IdentifyR3D_40Lines(int analyse);
void	LS_Set3DSpecialConditions(void);
void	LS_Check3DScaledTexs(void);
void	LS_SetSSFlats3DArray(void);
void	LS_3DLiftSectorSSecCheck(void);
int		LS_SetFlatPointer(fixed_t floor, fixed_t ht, RDBOOL hi, char *ptr, int *flatslist);
void	LS_GetFlatPointer(int n, sector_t *sc, fixed_t *floor, fixed_t *ceil, int *flatslist);

// Actually in pairs (floor & ceiling) - so this would cope with 16 additional flats
#define MAX_FLATS3D		8
#define FLIST_ENTRIES	5

#endif