//-----------------------------------------------------------------------------
//
// F_INFINE.H - Header file for Risen3D [R3D] v220
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
// NOTE: Risen3D varies substantially from any ports on which it may
//       be based [see the c file(s) to which this applies] and any
//       same named header files are not commutable.
//
//-----------------------------------------------------------------------------

#ifndef __F_INFINE_H__
#define __F_INFINE_H__

#include "dd_input.h"

extern int brief_disabled;

void	FI_StartScript(char *finalescript, char *levelid, RDBOOL after, RDBOOL use_infine, int cnum);
void	FI_End(void);
int		FI_Briefing(char *levelid);
int		FI_SkipRequest(void);
void	FI_Ticker(void);
int		FI_Responder(event_t *ev);
void	FI_Drawer(void);

#endif