//-----------------------------------------------------------------------------
//
// R_WORLD.H - Header file for Risen3D [R3D] v220
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
// NOTE: Risen3D varies substantially from any ports on which it may
//       be based [see the c file(s) to which this applies] and any
//       same named header files are not commutable.
//
//-----------------------------------------------------------------------------

#ifndef __R_WORLD_H__
#define __R_WORLD_H__

// v220-3 ded fog flags
// Type used in level
#define MIF_FOG				0x01		// LINEAR
#define MIF_FOGEXP			0x02		// EXP
#define MIF_FOGEXP2			0x04		// EXP2
// Specific settings
#define MIF_FOGOUTSIDE		0x08		// Outside fog (default LINEAR)
#define MIF_FOGUNDERWATER	0x10		// Underwater fog (default EXP)

void R_SetupLevel(void);
void R_InitLinks(void);

#endif 