//-----------------------------------------------------------------------------
//
// S_CACHE.H - Header file for Risen3D [R3D] v220
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
// NOTE: Risen3D varies substantially from any ports on which it may
//       be based [see the c file(s) to which this applies] and any
//       same named header files are not commutable.
//
//-----------------------------------------------------------------------------

#ifndef __S_CACHE_H__
#define __S_CACHE_H__

void			Sfx_InitCache(void);
void			Sfx_ShutdownCache(void);
sfxsample_t*	Sfx_Cache(uint id);
RDBOOL			Sfx_CacheHit(uint id);
uint			Sfx_GetSoundLength(uint id);
void			Sfx_GetCacheInfo(uint *cacheBytes, uint *sampleCount);

void			WAV_MemoryLoad(byte *data, byte *end, sfxsample_t *samp);

#endif 